summaryrefslogtreecommitdiff
path: root/dev-python/python-swiftclient/python-swiftclient-4.10.0.ebuild
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2026-02-26 05:10:16 +0100
committerMichał Górny <mgorny@gentoo.org>2026-02-26 05:37:34 +0100
commitf69793f58dedfb2c9cc45374c1bda146ebf09e46 (patch)
tree92b90a318206362dc774b7013e81782049d8aa48 /dev-python/python-swiftclient/python-swiftclient-4.10.0.ebuild
parentec785df7eca7303014a4006d9d707a8815c47281 (diff)
downloadgentoo-f69793f58dedfb2c9cc45374c1bda146ebf09e46.tar.gz
gentoo-f69793f58dedfb2c9cc45374c1bda146ebf09e46.tar.bz2
gentoo-f69793f58dedfb2c9cc45374c1bda146ebf09e46.zip
dev-python/python-swiftclient: Bump to 4.10.0
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Diffstat (limited to 'dev-python/python-swiftclient/python-swiftclient-4.10.0.ebuild')
-rw-r--r--dev-python/python-swiftclient/python-swiftclient-4.10.0.ebuild42
1 files changed, 42 insertions, 0 deletions
diff --git a/dev-python/python-swiftclient/python-swiftclient-4.10.0.ebuild b/dev-python/python-swiftclient/python-swiftclient-4.10.0.ebuild
new file mode 100644
index 000000000000..378759155dd0
--- /dev/null
+++ b/dev-python/python-swiftclient/python-swiftclient-4.10.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{12..13} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python bindings to the OpenStack Object Storage API"
+HOMEPAGE="
+ https://opendev.org/openstack/python-swiftclient/
+ https://github.com/openstack/python-swiftclient/
+ https://pypi.org/project/python-swiftclient/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/requests-2.4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/pbr[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/keystoneauth1-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/openstacksdk-0.11.0[${PYTHON_USEDEP}]
+ >=dev-python/python-keystoneclient-0.7.0[${PYTHON_USEDEP}]
+ >=dev-python/python-openstackclient-3.12.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+
+ sed -e 's/test_password_prompt/_&/' -i test/unit/test_shell.py || die
+ rm -r test/functional || die
+}